sábado, 4 de junio de 2016

Cómo instalar Google Earth en Ubuntu 16.04 LTS 64 bits y distribuciones derivadas como Kubuntu.


Para instalar Google Earth en los sistemas de 64 bits se requiere tener instalado el paquete lsb-core, pero el problema en esta versión 16.04 de Ubuntu es que dicho paquete no está disponible en los repositorios. Ahora bien, esto realmente no es problema porque lo podemos obtener desde los repositorios de Debian, descargando tres paquetes tal y como me informe en skgitsignal.com. Este es el procedimiento que he seguido, se puede hacer de varias formas por lo que a modo informativo pondré algunas notas sobre alguna otra para quien pueda interesar.

NOTA del 6/9/2016: En esta fecha ya se instala la versión 7.1.7 de Google Earth y las fotos de Panoramio se ven perfectamente. Si no fuese así entonces puedes seguir las indicaciones siguiente:

Es importante hacer notar que la versión de Google Earth sigue siendo la 7.0 (beta) y las fotografías de Panoramio siguen sin visualizarse. Pero tenemos al menos dos alternativas para superar este problema:

a) Una vez instalado Google Earth 7 seguir el procedimiento que se expone en la siguiente tutorial con la que se consigue visualizar las fotografías de Panoramio ...►, aunque, todo sea dicho, no al 100%.

b) Instalar Google Earth 6.03 donde funciona perfectamente, pero siguiendo el procedimiento que ha aportado el amigo Juan Carlos Senar (comentario de 6 de junio de 2016, 16:52). El paquete Google Earth 6.0.3 (32 bit) se puede conseguir en el enlace que también nos ha facilitado Juan Carlos al final del comentario.

1. Descargar los paquetes requeridos

Abrimos nuestro navegador de internet y descargamos los siguientes paquetes desde el repositorio de Debian, o simplemente picamos sobre las siguientes direcciones:

http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian13+nmu1_all.deb

http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-security_4.1+Debian13+nmu1_amd64.deb

http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-core_4.1+Debian13+nmu1_amd64.deb

Nota: El repositorio está apuntando a la réplica del servidor de US (me ha funcionado perfectamente), pero se puede poner para España (http://ftp.es.debian.org) o cualquier otro lugar. En la siguiente dirección se puede comprobar las réplicas y la abreviatura de los distintos países: https://www.debian.org/mirror/list 

Nota: Para descargar los paquete podemos utilizar también la terminal con el comando wget más la dirección URI y el nombre del paquete:

# wget http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian13+nmu1_all.deb

# wget http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-security_4.1+Debian13+nmu1_amd64.deb

# wget http://ftp.us.debian.org/debian/pool/main/l/lsb/lsb-core_4.1+Debian13+nmu1_amd64.deb

2. Instalar los paquetes

Mediante el explorador de carpetas vamos a Descargas, abrimos terminal en ese directorio e instalamos (con “su” si lo tenemos activado ...►, o “sudo” en su defecto) los tres paquetes siguiendo el siguiente orden:

# sudo dpkg -i lsb-invalid-mta_4.1+Debian13+nmu1_all.deb
(o sudo dpkg -i lsb-invalid*.deb)

# sudo dpkg -i lsb-security_4.1+Debian13+nmu1_amd64.deb
(o sudo dpkg -i lsb-security*.deb)

# sudo dpkg -i lsb-core_4.1+Debian13+nmu1_amd64.deb
(o sudo dpkg -i lsb-core*.deb)

Surgirán mensajes relacionados con dependencias no satisfechas que solucionamos con:

# sudo apt-get install -f

Nota: También podríamos haber utilizado gdebi (hay que instalar el paquete gdebi si no se tiene instalado) para la instalación de lsb-core que se ocupa directamente de las dependencias.

# sudo gdebi lsb-core_4.1+Debian13+nmu1_amd64.deb

Sea como sea cuando finalice la instalación reiniciamos el sistema:

# reboot

3. Descargar e instalar el paquete .deb de Google Earth

Arrancamos de nuevo el sistema y descargamos el paquete .deb de Google Earth de 64 bits para Debian/Ubuntu, que lo encontramos en:

https://www.google.es/intl/es/earth/download/ge/agree.html

Vamos de nuevo a la carpeta Descargas, abrimos terminal, e instalamos el paquete:

# sudo dpkg -i google-earth-stable_current_amd64.deb

Lo normal es que ya no surjan mensajes de dependencias no satisfechas pero si no fuese así, ya sabes ejecutamos el comando:

# sudo apt-get install -f

También podríamos haber utilizado gdebi, ya sabes:

# sudo gdebi google-earth-stable_current_amd64.deb

Y a viajar virtualmente con Google Earth, pero antes ...

4. Deshabilitar o eliminar el repositorio de Google Earth

Al instalarse Google Earth se añade el repositorio que proporciona el paquete, pero no hay acceso al mismo por lo que cada vez que actualicemos el sistema (apt-get update) nos lanzara el siguiente mensaje de error que puede llegar a ser desagradable:

"W: http://dl.google.com/linux/earth/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)
E: Fallo al obtener http://dl.google.com/linux/earth/deb/dists/stable/Release No existe una entrada «Hash» en el archivo «Release» /var/lib/apt/lists/partial/dl.google.com_linux_earth_deb_dists_stable_Release, lo cual se considera suficientemente robusto para propósitos de seguridad
E: No se han podido descargar algunos archivos de índice, se han omitido, o se han utilizado unos antiguos en su lugar."

La solución simplemente -y ya que Google Earth no es previsible que se actualice a corto o medio plazo- es deshabilitar o eliminar el repositorio de nuestras fuentes de software. Podemos utilizar Synaptic (instalar el paquete synaptic). Vamos a Configuración>Repositorios, lo deshabilitamos (desmarcándolo) o lo eliminamos señalándolo con el puntero y picando en Borrar (Delete).



Ahora sí, a viajar virtualmente con Google Earth, pero antes otra cuestión: Si no se ven las fotos de Panoramio entonces:

Cómo conseguir que las fotografías de Panoramio en Google Earth 7 se puedan visualizar en Ubuntu 16.04 LTS y otras distribuciones derivadas como Kubuntu ...►

Saludos flamencos,


19 comentarios:

  1. Hola:

    Gracias por el tutorial. Aún así, supongo que la versión de Google Earth que se instala es la 7.x y, hasta ahora al menos, las fotos de Panoramio no se pueden ver en esta versión. ¿Las ves o no las ves?

    Si siguen sin verse, yo sugiero instalar la versión 6.0.3 en donde sí se ven:

    http://www.linuxirun.com/foro/index.php?topic=47.0

    Saludos,

    ResponderEliminar
    Respuestas
    1. No, efectivamente sigue siendo la versión 7.0, que sigue siendo beta, y Panoramio no se puede ver. He intentado instalar la versión 6.2 que está disponible también pero hay que picar en “configuración avanzada” y no he sido capaz.

      Una pregunta ¿Has instalado la versión 6.03 como se indica en el enlace en Ubuntu 16.04? ¿Hay problemas de dependencia?

      En cualquier caso, en la introducción indicaré el problema de Panoramio, y si la 6.03 se instala sin problemas también lo comentaré.

      Saludos flamencos,

      Eliminar
  2. He tenido que hacer distintas pruebas y me ha costado un poco pero he conseguido hacer funcionar Google Earth 6.0.3 (32bit) en Ubuntu 16.04 (64bit).

    Para instalar Google Earth 6.0.3 (en su versión de 64bit) hace falta el paquete ia32-libs que no he sido capaz de encontrar/instalar (errores por todas partes) así que he seguido probando con la versión de 32bits del programa.

    Lo primero que hace falta es el paquete lsb-core pero los paquetes que están en los enlaces del principio de tu tutorial, aunque se instalaban correctamente (aparentemente) y después de reiniciar varias veces, al instalar el paquete Google Earth, seguía recibiendo un mensaje que indicaba que el paquete lsb-core >=3.2 no estaba instalado. Misterio.

    Asi que mi solución ha sido esta:
    Añadimos el repositorio de Ubuntu 14.04 que curiosamente instala también la versión 4.1 de lsb-core pero esta vez sí que la reconoce:

    sudo add-apt-repository "deb http://es.archive.ubuntu.com/ubuntu trusty main"
    sudo apt-get update && sudo apt-get install lsb-core


    Ahora se puede instalar Google Earth sin errores pero luego no arranca. Faltan algunos paquetes que según este enlace http://www.webupd8.org/2014/04/install-google-earth-in-ubuntu-1404.html son estos:

    sudo apt-get install libfontconfig1:i386 libx11-6:i386 libxrender1:i386 libxext6:i386 libgl1-mesa-glx:i386 libglu1-mesa:i386 libglib2.0-0:i386 libsm6:i386

    Y ahora instalamos Google Earth:

    sudo dpkg -i googleearth_6.0.3_stable_i386.deb

    Arranca y funciona perfectamente. Y las fotos de Panoramio se ven:

    http://linuxirun.com/z/GoogleEarth_6.0.3_Ubuntu_16.04.jpg

    Solo queda en Software y actualizaciones > Otro software eliminar los repositorios de Ubuntu trusty y Google Earth.

    Descarga: Google Earth 6.0.3 (32bit)

    Saludos,

    ResponderEliminar
    Respuestas
    1. Muchísimas gracias Juan Carlos con tu aportación el artículo ha quedado muy completo; lo destacaré en la introducción para que no pase desapercibido. Imagino que como en otras ocasiones -la verdad que siempre- acabaré instalando la versión 6.03 porque a mi también me resulta Panoramio una de las herramientas más prácticas e interesantes de Google Earth. Y a todo aquel que pase por aquí también se lo has puesto muy fácil.

      Saludos flamencos,

      Eliminar
    2. De nada. Gracias a tí por tu blog.

      En esta dirección se pueden encontrar también las versiones 6.0.2 y la 6.1.0 (por si alguien las prefiere) aunque no soy capaz de ver las diferencias entre todas ellas. La versión 6.2 ha debido de ser borrada:

      http://packages.linuxmint.com/pool/import/g/googleearth/

      Nos leemos :-)

      Eliminar
    3. Juan Carlos finalmente encontré un sitio donde se describe como hacer funcionar Panoramio en Google Earth 7:

      http://blog.pztop.com/2016/04/28/Install-Google-Earth-on-Ubuntu-16-04

      Y me funciona; lo pondré en otra tutorial para que quede todo más claro.

      Saludos flamencos,

      Eliminar
    4. Pues la verdad es que hace tiempo que encontré esa página pero había probado solo la última parte (Panoramio blank picture) y no me había funcionado. Ahora he probado todos los pasos y sí funciona. La clave debe de estar en los primeros paquetes que cuando yo probé no instalé.

      He revisado los comandos de la instalación y te indico los que yo he usado y su orden. Me evito así mensajes de error y creo que queda más elegante:

      sudo add-apt-repository "deb http://es.archive.ubuntu.com/ubuntu trusty main"

      sudo apt-get update

      sudo apt-get install libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev flashplugin-installer libfreeimage3 libc6:i386 lsb-core


      Descargamos Google Earth (página en castellano): https://www.google.es/intl/es_es/earth/download/ge/agree.html

      Nos desplazamos a la carpeta Descargas y seguimos:

      cd Descargas

      sudo dpkg -i google-earth*.deb

      cd /opt/google/earth/free/

      sudo wget https://googledrive.com/host/0B2F__nkihfiNalQzN0ZmcjBPTGs/ge7.1.1.1580-0.x86_64-new-qt-libs-debian7-ubuntu12.tar.xz

      sudo tar xvf ge7.1.1.1580-0.x86_64-new-qt-libs-debian7-ubuntu12.tar.xz


      Eliminamos los repositorios de Ubuntu Trusty y Google Earth desde Software y actualizaciones > Otro software y ya podemos usar el programa.

      De todas formas (opinión personal, sin más), y dejando aparte lo de Panoramio, me gusta más la forma de navegar de la versión 6.x que la 7.x.

      Saludos,

      Eliminar
    5. Esos primeros paquetes de ese artículo al parecer son sólo necesarios para que las imágenes de Panoramio sean visibles. Efectivamente amigo, así expuesto queda más elegante, aunque por otro lado, no está mal acostumbrarse a que con dpkg –i surjan los mensajes de error ya que se solucionan con apt-get install –f.

      Una vez más gracias por tu colaboración y saludos flamencos,

      Eliminar
  3. Sí. A veces, con apt-get install -f se solucionan los problemas pero otras veces no es así. Depende de lo que queramos instalar.

    En este caso esta claro que solo esos tres paquetes no son suficientes y por eso da error pero, por lo menos, con apt-get install -f se fuerza a instalar los demás y sí se soluciona.

    Prefiero la opción de añadir el repositorio de Trusty porque con solo instalar uno de los tres (lsb-core) se instalan todos los demás sin errores.

    Por otra parte, no entiendo que haya que andar así. Bastaría con que los paquetes lsb-* siguieran disponibles en el repositorio de Ubuntu. No entiendo el motivo de haberlos suprimido. Si esto sigue así, dentro de unos años no habrá donde conseguirlos.

    ResponderEliminar
    Respuestas
    1. Lo que yo no termino de entender es porque no se desarrolla un Google Earth “amigable” con las distribuciones Linux- la versión 7 es beta desde hace años-; cuando crees que todo esta Ok, surge algo que no termina de funcionar, el buscador de lugares por ejemplo. Ya te digo, no descarto terminar finalmente con la 6. En cuanto a lsb-core, los interesante por el momento es que tenemos más de una opción y dada la fragilidad del asunto creo que es importante.

      Saludos flamencos,

      Eliminar
    2. En Google Earth 6, si la búsqueda de lugares no funciona, se soluciona como se explica aquí aunque en Linux Mint 17 (la distro que uso yo) no hay que aplicarlo porque funciona bien desde el principio:

      http://www.linuxirun.com/foro/index.php?topic=35.0

      En Google Earth 7 la búsqueda de lugares sí funciona (aparece un marcador en el lugar que uno quiere) pero queda lejos y hay que acercarlo. En Google Earth 6 la imagen se acerca rápidamente hasta el lugar que uno ha elegido.

      Eliminar
    3. Pues eso, que no termina de funcionar correctamente,y realmente Panoramio tampoco funciona al 100% en la versión 7.

      Saludos flamencos,

      Eliminar
  4. Felicidades por tu trabajo y explicación. No he tenido ningún problema, muchas gracias.

    ResponderEliminar
    Respuestas
    1. Me alegro que haya ido bien y gracias por el comentario.

      Saludos flamencos,

      Eliminar
  5. Yo he instalado en Linux Mint - KDE 64 bits, la versión Google Earth 7.1.4.1529 siguiendo este tutorial y creo que funciona estupendamente dejo el enlace por si aporta algo. Gracias a ti también por este fantástico Blog que es de gran ayuda.

    https://community.linuxmint.com/tutorial/view/1710

    ResponderEliminar
    Respuestas
    1. Muchas gracias BRuiXo por la aportación y el comentario.

      Saludos flamencos,

      Eliminar
  6. Gracias por la ayuda. Todavia no he conseguido arregrarlo en ubuntu 16.04, 64 bits....Creeis que tampoco arranque openshot 2.1 sera por la falta de los mismos paquetes...

    ResponderEliminar
    Respuestas
    1. No creo, pero los paquetes los puedes consultar con Synaptic.

      Saludos flemencos,

      Eliminar

LinkWithin

Related Posts Plugin for WordPress, Blogger...